from matplotlib import pyplot as plt
from pyfxr import Wavetable

figs = plt.figure(figsize=(8, 5)).subplots(2, 2).flat
waves = [
    ("Sine", Wavetable.sine()),
    ("Square", Wavetable.square()),
    ("Triangle", Wavetable.triangle()),
    ("Saw", Wavetable.saw()),
]
plt.subplots_adjust(hspace=0.5)
for fig, (name, wavetable) in zip(figs, waves):
    fig.set_title(name)
    fig.plot(range(1024), memoryview(wavetable))